spark-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joseph <wxy81...@sina.com>
Subject When start spark-sql, postgresql gives errors.
Date Thu, 12 May 2016 03:53:22 GMT

Hi all,

I use PostgreSQL to store the hive metadata. 

First, I imported a sql script to metastore database as follows:
    psql -U postgres -d metastore -h 192.168.50.30 -f hive-schema-1.2.0.postgres.sql

Then, when I started $SPARK_HOME/bin/spark-sql,  the PostgreSQL  gave the following errors:

ERROR:  syntax error at or near "@@" at character 5
STATEMENT:  SET @@session.sql_mode=ANSI_QUOTES
ERROR:  relation "v$instance" does not exist at character 21
STATEMENT:  SELECT version FROM v$instance
ERROR:  column "version" does not exist at character 10
STATEMENT:  SELECT @@version

This does not affect normal use, but maybe it is a bug! ( I use spark 1.6.1 and  hive 1.2.1)







Joseph
Mime
View raw message